Audit logs
Query audit logs for admin operations. All sensitive operations like API key creation, user permission changes, and resource modifications are logged.
List audit logs
Authorization
api_key AuthorizationBearer <token>
API key authentication using Bearer token format
In: header
Query Parameters
actor_type?null|AuditActorType
Filter by actor type
actor_id?string|null
Filter by actor ID
Format
uuidaction?string|null
Filter by action (e.g., "api_key.create")
resource_type?string|null
Filter by resource type (e.g., "api_key")
resource_id?string|null
Filter by resource ID
Format
uuidorg_id?string|null
Filter by organization ID
Format
uuidproject_id?string|null
Filter by project ID
Format
uuidfrom?string|null
Start of time range (inclusive)
Format
date-timeto?string|null
End of time range (exclusive)
Format
date-timelimit?integer|null
Maximum number of results to return
Format
int64cursor?string|null
Cursor for pagination (cursor-based pagination)
direction?string|null
Pagination direction (forward or backward). Only used with cursor.
Response Body
application/json
application/json
curl -X GET "https://loading/admin/v1/audit-logs"{
"data": [
{
"action": "string",
"actor_id": "04f37679-bfbf-4906-b749-01756515cecf",
"actor_type": "user",
"details": null,
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"ip_address": "string",
"org_id": "a40f5d1f-d889-42e9-94ea-b9b33585fc6b",
"project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9",
"resource_id": "4d5215ed-38bb-48ed-879a-fdb9ca58522f",
"resource_type": "string",
"timestamp": "2019-08-24T14:15:22Z",
"user_agent": "string"
}
],
"pagination": {
"has_more": true,
"limit": 100,
"next_cursor": "MTczMzU4MDgwMDAwMDphYmMxMjM0NS02Nzg5LTAxMjMtNDU2Ny0wMTIzNDU2Nzg5YWI",
"prev_cursor": "string"
}
}{
"error": {
"code": "budget_exceeded",
"message": "Budget limit exceeded for monthly period",
"param": null,
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"type": "invalid_request_error"
}
}Get an audit log entry by ID
Authorization
api_key AuthorizationBearer <token>
API key authentication using Bearer token format
In: header
Path Parameters
id*string
Audit log entry ID
Format
uuidResponse Body
application/json
application/json
curl -X GET "https://loading/admin/v1/audit-logs/497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"action": "string",
"actor_id": "04f37679-bfbf-4906-b749-01756515cecf",
"actor_type": "user",
"details": null,
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"ip_address": "string",
"org_id": "a40f5d1f-d889-42e9-94ea-b9b33585fc6b",
"project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9",
"resource_id": "4d5215ed-38bb-48ed-879a-fdb9ca58522f",
"resource_type": "string",
"timestamp": "2019-08-24T14:15:22Z",
"user_agent": "string"
}{
"error": {
"code": "budget_exceeded",
"message": "Budget limit exceeded for monthly period",
"param": null,
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"type": "invalid_request_error"
}
}